<?php
/**
 * @package Full screen background
 * @version 0.3
 */
/*
Plugin Name: Full screen background
Plugin URI: http://www.trappers.tk/share/fullbg.zip
Description: Full screen background, like the google home page 
Author: Jeroen Trappers
Version: 0.3
Author URI: http://blog.trappers.tk
*/

function wp_full_bg() {
?>
   <!-- Change the src attribute of the img tag just below here to point to the image you want to use. -->
   <img id="wpfullbg" src="https://lh4.googleusercontent.com/-pL_4VFPTjxU/TBBhjuT5IRI/AAAAAAAAAP8/7OZBMULwhN0/y_a_b_05.jpg" >
   <script src="//ajax.googleapis.com/ajax/libs/jquery/1.5.1/jquery.min.js"></script>
   <script type="text/javascript" language="javascript">
     $(function() {
     	fullbg();
		$(window).resize(fullbg);
     });
     function fullbg() {
       var imgw = $('#wpfullbg').width();
       var imgh = $('#wpfullbg').height();
       var vpw = $(window).width();
       var vph = $(window).height(); 
       
       var imgratio = imgw / imgh;
       var viewportratio = vpw / vph;

       var w = vpw;
       var h = vph;
	
       if( viewportratio > imgratio )
       {
         // screen is wider than picture -> increase the heigth of the picture;
         h = w / imgratio;  
       }	
       else 
       {
         w = h * imgratio;
       }

       $('#wpfullbg').css(
          { 
             'left': '0px',
             'width': w,
             'height': h,
             'z-index': '-2',
             'top' : '0px',
             'position' : 'fixed',
             'opacity' : '0.999999999'
          }
       );  
     }    
   </script>
<?php
}
add_action( 'wp_footer', 'wp_full_bg' );
?>
